# Installations

## Step 1 ➡ Dependencies&#x20;

This is one of the most important parts, since without the dependencies, the resource will never work or not start, here we will list the dependencies with their respective links for you to download and add them to your server.

{% embed url="<https://github.com/overextended/oxmysql>" %}

{% embed url="<https://store.scriptsfivem.com/package/5834252>" %}

{% embed url="<https://store.scriptsfivem.com/package/6033988>" %}

### Not required but recommended:

{% embed url="<https://github.com/overextended/ox_inventory>" %}
pre-configured for ox\_inventory in client\_editable.lua/server\_editable.lua
{% endembed %}

## Step 2 ➡ Resources in server.cfg

{% hint style="warning" %}
if you are using ESX ➡ NEVER, but NEVER, you must place the resources above `es_extended`, if you do this they will never work and will throw errors
{% endhint %}

The correct order of the resources is as follows, always keeping <mark style="color:orange;">es\_extended, sfjob, sfpolice</mark> and its cores above, but the other normal resources below

```
ensure sfdoj
```

## Step 3 ➡ Database

Run query/SQL query and paste below code

{% code fullWidth="false" %}

```sql
CREATE TABLE `jobs_doj_category` (
  `id` int(11) NOT NULL,
  `name` varchar(64) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

CREATE TABLE `jobs_doj_regulations` (
  `id` int(11) NOT NULL,
  `name` varchar(128) NOT NULL,
  `category` int(11) NOT NULL,
  `money` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

ALTER TABLE `jobs_doj_category` ADD PRIMARY KEY (`id`);
ALTER TABLE `jobs_doj_regulations` ADD PRIMARY KEY (`id`);
ALTER TABLE `jobs_doj_category` MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=1;
ALTER TABLE `jobs_doj_regulations` MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=1;
```

{% endcode %}

Example data:

```sql
INSERT INTO `jobs_doj_category` (`id`, `name`) VALUES
(1, 'General wounds'),
(2, 'Other');
```

A `co-owner` column should be added to the table with vehicles. For example, in ESX, in the `owned_vehicles` table, add the `co-owner` column varchar(46) default null.

```sql
ALTER TABLE `owned_vehicles` ADD `co-owner` VARCHAR(46) NULL DEFAULT NULL AFTER `vin`;
```

## Step 4 ➡ folder install-need-data

Copy the data to the appropriate scripts or database, everything is described there.

## Step 5 ➡ Click on [Config](/resources/sfdoj/config.md)&#x20;


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.scriptsfivem.com/resources/sfdoj/installations.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
